using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Txgy.RBS.IDAL
{
    public interface IDataAccessDal
    {
        List<string> GetIcons();

        /// <summary>
        /// 获取客户端类型
        /// </summary>
        /// <returns></returns>
        Setting GetClientType(int useId = 1);

        void UpdateClientDetail(double createTime, int mailRule, string mailbox, string appMessage);
        /// <summary>
        /// 根据车道ID获取对应的设备信息
        /// </summary>
        /// <param name="roadId"></param>
        /// <returns></returns>
        string GetDevices(int roadId);
        void UpdateDeviceType(int currentDevice);
    }
}
